//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#include "engine.h"

extern float g_fDelta;
extern float g_fSpeed;
extern float g_fRawDelta;
extern float g_fCurTime;

void InitTimer();
//this simply updates the delta things... i.e. gives the maximum fps
void Tick();

//this does the above, but caps the fps
void WaitUntil(float delta_target, void (*proc)(void* param), void* param, bool execute_at_least_once = true);

float GetTime();

